<!--ESPACE D'AFFICHAGE LISTE JOUEURS-->
<div class="container liste-joueur">
    <div class="row">
      <div class="titre">
            <h1>Liste des joueurs</h1>
            <div class="boutonsTitre">
            <div class="dropdown">
               <button class="btn btn-secondary dropdown-toggle bouton-espacement" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                 Trier les joueurs
               </button>
               <ul class="dropdown-menu dropdown-menu-dark bouton-espacement">
                 <li><a class="dropdown-item " (click)="triParNom()">par nom</a></li>
                 <li><a class="dropdown-item " (click)="triParPosition()">par Position</a></li>
                 <li><a class="dropdown-item" (click)="triParAge()">par age</a></li>
                 <li><a class="dropdown-item" (click)="triParTaille()">par taille</a></li>
                 <li><a class="dropdown-item" (click)="triParNationalite()">par nationalité</a></li>
               </ul>
             </div>
            <button type="button" class="btn btn-success bouton-espacement" routerLink="/joueurcreation">Ajouter un joueur</button>
            </div>
         </div>
        </div>
        <!-- Carte d'affichage des infos du joueur -->
            <div *ngFor="let joueur of paginatedItems" class="card column shadow mb-3 ">
                <div class="card-body d-flex justify-content-between">
                        <img class="joueurDrapeau" src="{{getDrapeau(joueur)}}">
                        <img class="joueurMiniature" src="{{choixPhoto()}}" alt="Photo du joueur">
                  <div class="joueurNom">
                        <p class="infoTop">NOM</p>
                        <p class="infoDown">{{joueur.nomCourt}}</p>
                  </div>
                  <img class="imageClub" src="{{getEquipeLogo(joueur)}}">
                  <div class="infoJoueur">
                        <p class="infoTop">AGE</p>
                        <p class="infoDown">{{joueur.age}}</p>
                  </div>
                  <div class="infoJoueur">
                    <p class="infoTop">POS</p>
                    <p class="infoDown">{{joueur.position}}</p>
                 </div>
                 <div class="infoJoueur">
                    <p class="infoTop">BUT</p>
                    <p class="infoDown">{{joueur.nbButs}}</p>
                 </div>
                 <div class="infoJoueur">
                    <p class="infoTop">PASSE</p>
                    <p class="infoDown">{{joueur.nbPasseD}}</p>
                 </div>
                 <div class="infoJoueur">
                    <p class="infoTop">NB MATCH</p>
                    <p class="infoDown">{{joueur.nbMatchs}}</p>
                 </div>
                 <div class="infoJoueur">
                    <p class="infoTop">TAILLE</p>
                    <p class="infoDown">{{joueur.taille}}</p>
                 </div>
                 <div class="infoJoueur">
                    <p class="infoTop">POIDS</p>
                    <p class="infoDown">{{joueur.poids}}</p>
                 </div>
                 <div class="boutonEye" (click)="goToJoueur(joueur)">
                        <img  src="../assets/images/picto/eyeblanc.png" height="30" >
                  </div>

              </div>


    </div>


    <ng-container *ngIf="joueurs.length > 0">
      <app-pagination [items]="joueurs"
                      [paginationItemsPerPage]="paginationItemsPerPage"
                      [paginationCurrentPage]="paginationCurrentPage"
                      [maxPagesToShow]="maxPagesToShow"
                      (pageChanged)="onPageChanged($event)"></app-pagination>
    </ng-container>



</div>

